/*
 * Electric(tm) VLSI Design System
 *
 * File: logeffort.h
 * Logical effort timing and sizing tool header file
 * Written by: Steven M. Rubin
 *
 * Copyright (c) 1998 Electric Editor Incorporated.
 *
 * Electric(tm) is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Electric(tm) is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Electric(tm); see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, Mass 02111-1307, USA.
 *
 * Electric Editor Incorporated
 * 23470 Sunset Drive, Suite 108
 * Los Gatos, California 95033
 * support@electriceditor.com
 */

#ifdef __cplusplus
extern "C"
{
#endif

extern AIDENTRY    *le_aid;				/* the Logical Effort aid object */

void le_init(INTBIG*, char*[], AIDENTRY*);
void le_done(void);
INTSML le_set(INTSML, char*[]);
INTBIG le_request(char*, va_list);
void le_examinenodeproto(NODEPROTO*);
void le_slice(void);
void le_startbatch(AIDENTRY*, INTSML);
void le_endbatch(void);
void le_startobjectchange(INTBIG, INTBIG);
void le_endobjectchange(INTBIG, INTBIG);
void le_modifynodeinst(NODEINST*,INTBIG,INTBIG,INTBIG,INTBIG,INTSML,INTSML);
void le_modifyarcinst(ARCINST*,INTBIG,INTBIG,INTBIG,INTBIG,INTBIG,INTBIG);
void le_modifyportproto(PORTPROTO*, NODEINST*, PORTPROTO*);
void le_modifynodeproto(NODEPROTO*);
void le_modifydescript(VARIABLE*, INTBIG);
void le_newobject(INTBIG, INTBIG);
void le_killobject(INTBIG, INTBIG);
void le_newvariable(INTBIG, INTBIG, INTBIG, INTBIG);
void le_killvariable(INTBIG, INTBIG, INTBIG, INTBIG, INTBIG, INTBIG);
void le_modifyvariable(INTBIG, INTBIG, INTBIG, INTBIG, INTBIG, INTBIG);
void le_insertvariable(INTBIG, INTBIG, INTBIG, INTBIG, INTBIG);
void le_deletevariable(INTBIG, INTBIG, INTBIG, INTBIG, INTBIG, INTBIG);
void le_readlibrary(LIBRARY*);
void le_eraselibrary(LIBRARY*);
void le_writelibrary(LIBRARY*, INTSML);

#ifdef __cplusplus
}
#endif
