/*
 * Electric(tm) VLSI Design System
 *
 * File: tecmocmossub.h
 * MOSIS CMOS Submicron technology header
 * Written by: Steven M. Rubin, Electric Editor Incorporated
 *
 * Copyright (c) 1998 Electric Editor Incorporated.
 *
 * Electric(tm) is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Electric(tm) is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Electric(tm); see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, Mass 02111-1307, USA.
 *
 * Electric Editor Incorporated
 * 23470 Sunset Drive, Suite 108
 * Los Gatos, California 95033
 * support@electriceditor.com
 */

#ifdef __cplusplus
extern "C"
{
#endif

#define	MOCMOSSUBNWELL       1		/* set for n-well, clear for p-well */
#define	MOCMOSSUBTHREEMETAL  2		/* set for 3-metal rules, clear for 4-metal rules */
#define	MOCMOSSUBSTICKFIGURE 4		/* set for stick-figure display */

extern TECHNOLOGY *mocmossub_tech;			/* the technology */

/* prototypes for local routines */
INTSML mocmossub_initprocess(TECHNOLOGY*, INTSML);
void mocmossub_setmode(INTSML, char*[]);
INTBIG mocmossub_request(char*, va_list);

#ifdef __cplusplus
}
#endif
